%global pypi_name elasticsearch6

Name:           python-%{pypi_name}
Version:        6.8.2
Release:        2%{?dist}
Summary:        Client for Elasticsearch

License:        ASL 2.0
URL:            https://github.com/elasticsearch/elasticsearch-py
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Low level client for Elasticsearch. It's goal is to provide common ground
for all Elasticsearch-related code in Python. The client's features include:

- Translating basic Python data types to and from JSON
- Configurable automatic discovery of cluster nodes
- Persistent connections
- Load balancing (with pluggable selection strategy) across all available nodes
- Failed connection penalization (time based - failed connections won't be
  retried until a timeout is reached)
- Thread safety
- Pluggable architecture

%package -n python3-%{pypi_name}
Summary:        Python 3 Client for Elasticsearch
License:        ASL 2.0

%description -n python3-%{pypi_name}
Low level client for Elasticsearch. It's goal is to provide common ground
for all Elasticsearch-related code in Python. The client's features include:

- Translating basic Python data types to and from JSON
- Configurable automatic discovery of cluster nodes
- Persistent connections
- Load balancing (with pluggable selection strategy) across all available nodes
- Failed connection penalization (time based - failed connections won't be
  retried until a timeout is reached)
- Thread safety
- Pluggable architecture


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files elasticsearch6

%check
%py3_check_import elasticsearch6

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README


%changelog
* Fri Feb 4 2022 Steve Traylen <steve.traylen@cern.ch> - 6.8.2-2
- Load module during check phase

* Fri Feb 4 2022 Steve Traylen <steve.traylen@cern.ch> - 6.8.2-1
- Adapt epel8 package to epel9
